<?php

require_once("../../config.php");
require_once($CFG->libdir."/graphlib.php");

$totime = optional_param('totime', time(), PARAM_INT);


if (!@$CFG->block_user_growth_nbsamples) {
	$nbsamples = 12;
} else {
	$nbsamples = $CFG->block_user_growth_nbsamples;
}

if (!@$CFG->block_user_growth_daysnb) {
	$days = 30;
} else {
	$days = $CFG->block_user_growth_daysnb;
}

if (!@$CFG->block_user_growth_graphwidth) {
	$graphwidth = 162;
} else {
	$graphwidth = $CFG->block_user_growth_graphwidth;
}
	
if (!@$CFG->block_user_growth_graphheight) {
	$graphheight = 150;
} else {
	$graphheight = $CFG->block_user_growth_graphheight;
}

$range = array();
$logs = array();

for ($i = 0 ; $i < $nbsamples ; $i++ ) { // on compte les samples 
    $select = 'deleted = 0 AND confirmed = 1 AND firstaccess != 0 AND firstaccess <= '.($totime - (DAYSECS * $days * $i));
	$countgraph = count_records_select('user', $select, 'COUNT(*)');
	$range[$i] = (((date('n', $totime) + $i - $nbsamples) + 12) % 12) + 1;
	$logs[$nbsamples - $i - 1] = $countgraph;
}

$graph = new graph($graphwidth, $graphheight);
$graph->parameter['title'] 			= '';
$graph->x_data           			= $range;
$graph->y_data['logs']   			= $logs;
$graph->y_order 				    = array('logs');
$graph->y_format['logs'] 			= array('colour' => 'blue','bar' => 'fill','bar_size' => 0.6);
$graph->parameter['bar_spacing'] 	= 0;
$graph->parameter['x_label']	   	= get_string('x_label','block_user_growth');
$graph->parameter['y_label_left']   = get_string('y_label','block_user_growth');
$graph->parameter['label_size']		= '8';
$graph->parameter['x_axis_angle']	= 90;
$graph->parameter['x_label_angle']	= 0;
$graph->parameter['tick_length'] 	= 0;
$graph->parameter['title_size'] 	= 10;
$graph->parameter['shadow']         = 'none'; 
error_reporting(5); // ignore most warnings such as font problems etc
$graph->draw_stack();

?>